#include "KlappenSteuerung.h"


// Constructors/Destructors
//  


/**
 * @param  pinA
 * @param  pinB
 * @param  pinPwm
 * @param  pinSense
 * @param  id
 */
 KlappenSteuerung::KlappenSteuerung(int pin_A, int pin_B, int pin_Sense, int i_d)
{
  initAttributes();
  pinA = pin_A;
  pinB = pin_B;
  pinSense = pin_Sense;
  id = i_d;
  vorherKlappe = letzteKlappe;
  letzteKlappe = this;
  
}

KlappenSteuerung::~KlappenSteuerung()
{
}

//  
// Methods
//  


// Accessor methods
//  


// Other methods
//  

KlappenSteuerung *KlappenSteuerung::letzteKlappe;

/**
 */
void KlappenSteuerung::setup()
{
  if(KlappenSteuerung::letzteKlappe){
    KlappenSteuerung::letzteKlappe->localSetup();
  }
  Motor::setup();
}


/**
 */
void KlappenSteuerung::loop()
{
  if(KlappenSteuerung::letzteKlappe){
    KlappenSteuerung::letzteKlappe->localLoop();
  }
  Motor::loop();
}


void KlappenSteuerung::localSetup()
{
  if(vorherKlappe){
    vorherKlappe->localSetup();
  }else{

  }
  motor.setPins(pinA , pinB);

}

void KlappenSteuerung::localLoop()
{
  if(vorherKlappe){
    vorherKlappe->localLoop();
  }else{

  }
  
}


/**
 * @param  open
 */
void KlappenSteuerung::setOpen(bool open)
{
}

void KlappenSteuerung::initAttributes()
{
  pinA = -1;
  pinB = -1;
  pinSense = -1;
  id = -1;
  status = NICHTS;
}

