
#ifndef KLAPPENSTEUERUNG_H
#define KLAPPENSTEUERUNG_H

#include "statusKlappen.h"
#include "motor.h"

/**
  * class KlappenSteuerung
  * 
  */

class KlappenSteuerung
{
public:
  // Constructors/Destructors
  //  


  /**
   * Empty Constructor
   */
  //KlappenSteuerung();

  /**
   * Empty Destructor
   */
  virtual ~KlappenSteuerung();

  // Static Public attributes
  //  

  // Public attributes
  //  



  /**
   * @param  pinA
   * @param  pinB
   * @param  pinSense
   * @param  id
   */
   KlappenSteuerung(int pinA, int pinB, int pinSense, int id);


  /**
   */
  static void setup();


  /**
   */
  static void loop();


  /**
   * @param  open
   */
  void setOpen(bool open);

protected:
 
  int pinA;
  int pinB;
  int pinSense;
  int id;
  statusKlappen status;

  void localSetup();
  void localLoop();

  Motor motor;


private:

  static KlappenSteuerung *letzteKlappe;
  KlappenSteuerung *vorherKlappe = 0;
 


  void initAttributes();

};

#endif // KLAPPENSTEUERUNG_H
